Create Flow
post
/rpa/v1/flows
Creates a new Flow.
Request
Header Parameters
-
opc-retry-token: string
Minimum Length:
1Maximum Length:64A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information about new Flow.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Flow. -
designTimeData: string
Indicates the IR design time data
-
displayName(required): string
Flow name
-
environmentGroupIdentifier: string
Default Environment Group ID where the flow will be executed
-
environmentGroupProjectId: string
Default Environment Group Project ID where the flow will be executed
-
flowProperties: object
flowProperties
Additional Properties Allowed: additionalPropertiesMap
for the Flow Properties -
identifier(required): string
Flow identifier
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
projectId(required): string
Project
-
projectType: string
Project Type
-
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow -
version(required): string
Minimum Length:
1Maximum Length:255This refers to the Semantic Versioning.
Nested Schema : flowProperties
Type:
objectAdditional Properties Allowed
Show Source
-
string
Minimum Length:
0Maximum Length:1024
Map for the Flow Properties
Example:
{
"adminEmail":"joseFeliciano@mycompany.net",
"primaryLanguage":"sp"
}Response
202 Response
Accepted the request. The Flow will be created.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
-
opc-work-request-id:
Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
409 Response
Conflict
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.